# Header & Trailer

### Standard Header <a href="#standard-header" id="standard-header"></a>

<table><thead><tr><th width="81">Tag</th><th width="189">Name</th><th width="105">Data Type</th><th width="78">Req’d</th><th>Description</th></tr></thead><tbody><tr><td>8</td><td>BeginString</td><td>String</td><td>Y</td><td>Must be <code>FIXT.1.1</code> for FIX 5.0 protocol version.<br>Must be the first field in the message.</td></tr><tr><td>9</td><td>BodyLength</td><td>Length</td><td>Y</td><td>Must be the second field in the message.</td></tr><tr><td>35</td><td>MsgType</td><td>String</td><td>Y</td><td>Message type.<br>Must be the third field in the message.</td></tr><tr><td>34</td><td>MsgSeqNum</td><td>SeqNum</td><td>Y</td><td>Message sequence number.</td></tr><tr><td>49</td><td>SenderCompID</td><td>String</td><td>Y</td><td>Company identifier as allocated by NDAX</td></tr><tr><td>56</td><td>TargetCompID</td><td>String</td><td>Y</td><td>Receiver FIX session identifier.<br>Always <code>INDAX</code>.</td></tr><tr><td>50</td><td>SenderSubID</td><td>String</td><td>N</td><td>A text field to indicate the name or identifier of the person or entity submitting the trade.</td></tr><tr><td>142</td><td>SenderLocationID</td><td>String</td><td>N</td><td>ISO identifier of message originator's location.</td></tr><tr><td>1128</td><td>ApplVerID</td><td>String</td><td>N</td><td>Indicates the protocol being used in this message.<br>Supported values:<br><code>9</code> = FIX50SP2<br></td></tr><tr><td>57</td><td>TargetSubID</td><td>String</td><td>N</td><td>Identifies specific trading unit. Conditionally required for Application messages.<br>Always <code>ZERO</code>.</td></tr><tr><td>52</td><td>SendingTime</td><td>UTCTimestamp</td><td>Y</td><td>Time of message transmission.</td></tr><tr><td>369</td><td>LastMsgSeqNumProcessed</td><td>SeqNum</td><td>N</td><td>The last <code>MsgSeqNum (34)</code> value received and processed.<br>Used to detect a backlog.</td></tr></tbody></table>

### Standard Trailer <a href="#standard-trailer" id="standard-trailer"></a>

<table><thead><tr><th width="74">Tag</th><th width="116">Name</th><th width="116">Data Type</th><th width="84">Req’d</th><th>Description</th></tr></thead><tbody><tr><td>10</td><td>CheckSum</td><td>String</td><td>Y</td><td>Checksum of message and end of message delimiter.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ndax.in/v3/fix/header-and-trailer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
